package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumUserCountReportType {
    DAY(1, "日"),
    MONTH(2, "月"),
    YEAR(3, "年");
    public static EnumUserCountReportType getEnum(Integer code) {
        for (EnumUserCountReportType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumUserCountReportType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
